Debian Bug report logs - #388567
[all] implement support for Debian source package format 3.0 (incl. bz2 and lzma compression)

version graph

Package: svn-buildpackage; Maintainer for svn-buildpackage is svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>; Source for svn-buildpackage is src:svn-buildpackage.

Reported by: Max Kellermann <max@duempel.org>

Date: Thu, 21 Sep 2006 09:18:15 UTC

Severity: wishlist

Tags: patch

Found in versions svn-buildpackage/0.8.3, svn-buildpackage/0.6.14

Fixed in version svn-buildpackage/0.8.4

Done: Jan Hauke Rahm <jhr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: submit@bugs.debian.org
Subject: please support bzip2 compressed orig tarfiles
Date: Thu, 21 Sep 2006 10:59:42 +0200
Package: svn-buildpackage
Version: 0.6.14
Severity: wishlist

Please support .orig tarfiles compressed with bz2,
i.e. FOO.orig.tar.bz2.




Reply sent to Eduard Bloch <blade@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Max Kellermann <max@duempel.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 388567-close@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: 388567-close@bugs.debian.org
Subject: Bug#388567: fixed in svn-buildpackage 0.6.16
Date: Tue, 26 Dec 2006 15:17:03 +0000
Source: svn-buildpackage
Source-Version: 0.6.16

We believe that the bug you reported is fixed in the latest version of
svn-buildpackage, which is due to be installed in the Debian FTP archive:

svn-buildpackage_0.6.16.dsc
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.16.dsc
svn-buildpackage_0.6.16.tar.gz
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.16.tar.gz
svn-buildpackage_0.6.16_all.deb
  to pool/main/s/svn-buildpackage/svn-buildpackage_0.6.16_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eduard Bloch <blade@debian.org> (supplier of updated svn-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 26 Dec 2006 16:01:17 +0100
Source: svn-buildpackage
Binary: svn-buildpackage
Architecture: source all
Version: 0.6.16
Distribution: unstable
Urgency: medium
Maintainer: Eduard Bloch <blade@debian.org>
Changed-By: Eduard Bloch <blade@debian.org>
Description: 
 svn-buildpackage - helper programs to maintain Debian packages with Subversion
Closes: 320679 327180 334608 335239 338389 340396 342260 345616 347854 348833 349979 351611 351653 359673 373295 374805 376278 376583 377411 377880 381377 388567 389941 396464 397611 398185 399646 399661 403066
Changes: 
 svn-buildpackage (0.6.16) unstable; urgency=medium
 .
   [ Eddy Petrișor ]
   * now is possible to store svn-deblayout information in Subversion
     properties - namespace is svn-bp:* (Closes: #373295, #377411)
   * add depends on file (Closes: #397611)
   * add support for origUrl (adds also a dependency on wget)
     (Closes: #377880)
 .
   [ Gonéri Le Bouder ]
   * add --svn-noninteractive to turn off interactive mode (Closes: #349979)
 .
   [ Eduard Bloch ]
   * svn_load_dir replacement implemented (closes: #399661, #398185), dropped
     dependency on subversion-tools. This also solves the user confusion
     because of its bizzare output and error handling (closes: #351653)
   * running custom build command trough a shell (closes: #376278)
   * disabled some postprocessing sugar with custom build command, makes
     more problem then it's worth (closes: #381377). If you use custom
     commands, please do also the post-processing. It is even documented (now
     also about --svn-linda, closes: #335239). People, please, DO SOME RTFM, it
     is not that hard.
   * more carefull checks for UNRELEASED tags in debian/changelog
   * made the the build-dep checking helper ineffective when prebuild hook is
     used (closes: #340396)
   * moved the clean command after build-dep check (closes: #348833)
   * tested bzip2 support in svn-inject (closes: #388567)
   * print the actuall svn command to show which repository is beeing accessed
     when probing around (closes: #396464). This may have caused Sven's
     confusion as well (closes: #327180, reopen if you have new information).
   * added a frontend script from Loïc Minier to
     /svn-buildpackage/usr/share/svn-buildpackage/contrib (closes: #389941)
   * manpage fixes and updates by Ted Percival (closes: #374805)
   * exclusion of upstream branch if definitely no files there are modified and
     explicit exclusion with --no-branches, based on a patch from Thierry
     Reding (closes: #345616)
   * Layout type 2 support based on patch from Steve Kowalik (closes: #338389)
   * carefully weed out empty arguments before exporting (closes: #334608)
   * now really use Q as the default answer at the failure-checking prompt,
     patch by Julian Gilbey (closes: #320679, #351611, #342260)
   * switched positions of copy commands in PRINCIPLES fixed, thanks to Thijs
     Kinkhorst (closes: #376583)
   * included some more language fixes (closes: #403066) and mentioned the SSH
     connection caching in the manual
   * Corrected the trunk/.svn/svn-buildpackage.conf path in the manpage
     (closes: #359673). That is enough, I see no good reason for adding a
     fallback to trunk/.svn/.svn-buildpackage.
   * alternative lookup in main tags directory when building in
     .../branches/... (closes: #399646)
   * removed the reference to the svnbook copy in Debian packages
     (closes: #347854) which has been removed because of licensing issues
Files: 
 ce5f06620b773efbf8fa75eb3c2528c4 546 devel extra svn-buildpackage_0.6.16.dsc
 10277e2b0da1913de0a9c4c5ae58b6c4 52719 devel extra svn-buildpackage_0.6.16.tar.gz
 c8cac695e2cae95bd3e4df5826a238f1 200708 devel extra svn-buildpackage_0.6.16_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFkTtU4QZIHu3wCMURAjCEAJ9ITOWiJH5ixIwq5qHCTv5ZOM3u/gCfTZ0S
wR6oSsjpJPAAJm53iR7Vm5E=
=JvNs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #15 received at 388567@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 388567@bugs.debian.org
Subject: still not working here
Date: Sun, 20 May 2007 19:36:02 +0200
[Message part 1 (text/plain, inline)]
reopen 388567
thanks

Package: svn-buildpackage
Version: 0.6.18

--- Please enter the report below this line. ---

Hi, from the text of the original bug report it is not clear to me what
the reported was missing. But here "support" for .orig.tar.bz2 files is
still missing.

For example, if I have in my ../tarballs/ dir an .orig.tar.bz2 and if I
have a trunk/debian/ dir with the "mergeWithUpstream" property set,
then a simply svn-buildpackage --svn-export will fail complaining that
the .orig.tar.gz tarball is missing.

Here is a proof of concept shot:

  I: mergeWithUpstream property set, looking for upstream source tarball...
  Uncaught exception from user code:
          E: Could not find the upstream source file! (should be /home/srv/debian/pkg-zenoss/wmi/tarballs/wmi_20070517.orig.tar.gz)
   at /usr/bin/svn-buildpackage line 418
  (sid)zack@aquarium:/home/srv/debian/pkg-zenoss/wmi/trunk$ ls -l ../tarballs/
  total 12936
  -rw-r--r-- 1 zack zack 13225748 May 20 16:58 wmi-20070517.tar.bz2
  lrwxrwxrwx 1 zack zack       20 May 20 16:58 wmi_20070517.orig.tar.bz2 -> wmi-20070517.tar.bz2

Cheers.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.18-4-686

Debian Release: lenny/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        people.debian.org 
  500 unstable        ftp.it.debian.org 
  500 unstable        ftp.bononia.it 
  500 testing         security.debian.org 

--- Package information. ---
Depends          (Version) | Installed
==========================-+-===========
subversion                 | 1.4.2dfsg1-2
devscripts                 | 2.10.4
perl                       | 5.8.8-7
libsvn-perl                | 1.4.2dfsg1-2
file                       | 4.20-8
wget                       | 1.10.2-2
unp                        | 1.0.12


-- 
Stefano Zacchiroli -*- PhD in Computer Science ............... now what?
zack@{cs.unibo.it,debian.org,bononia.it} -%- http://www.bononia.it/zack/
(15:56:48)  Zack: e la demo dema ?    /\    All one has to do is hit the
(15:57:15)  Bac: no, la demo scema    \/    right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Sun, 20 May 2007 17:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to 388567@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #22 received at 388567@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 388567@bugs.debian.org, 388567-submitter@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: what kind of bz2 support?
Date: Wed, 24 Oct 2007 04:49:22 +0300
[Message part 1 (text/plain, inline)]
tags 388567 moreinfo
thanks

Hello,

In svn-buildpackage's bug 388567 there was a request for bz2 support. In version
 0.6.16 svn-inject is able to repackage upstream orig tarballs from tar.bz2 to
tar.gz.

Stefano has reopened this bug claiming that there should be support for a
tar.bz2 orig tarball (e.g. foo_1.2.orig.tar.bz2 should be a valid orig tarball
for foo 1.2-3).

I agree that it would be useful to support a different format than tar.gz for
the orig tarball, but I am not sure if this is supported in any way by dpkg,
thus making this an exercise in futility.


I have checked the current lenny and sid archive and I haven't found any
.orig.tar.bz2 source packages in the official archive. So I am asking, does dpkg
even support this? [1]

Does dpkg supports this, but dak doesn't?[2]



[1] please don't confuse tar.bz2 orig tarballs with debs which have the data
component compressed with bz2, i.e. the deb is an ar achive containing
"debian-binary", "control.tar.gz" and "data.tar.bz2"
[2] that would be a good reason why I didn't find any such package in the archive

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Max Kellermann <max@duempel.org>:
Bug#388567. Full text and rfc822 format available.

Tags added: moreinfo Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. (Wed, 24 Oct 2007 02:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #32 received at 388567@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: 388567@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#388567: what kind of bz2 support?
Date: Wed, 24 Oct 2007 07:37:45 +0200
On 2007/10/24 03:49, Eddy Petri??or <eddy.petrisor@gmail.com> wrote:
> In svn-buildpackage's bug 388567 there was a request for bz2
> support. In version 0.6.16 svn-inject is able to repackage upstream
> orig tarballs from tar.bz2 to tar.gz.

Sorry for my original description being too short... I didn't mean
svn-inject (I have never used this tool), but svn-buildpackage, for
finding and unpacking the orig.tar.

> I have checked the current lenny and sid archive and I haven't found
> any .orig.tar.bz2 source packages in the official archive. So I am
> asking, does dpkg even support this? [1]
>
> Does dpkg supports this, but dak doesn't?[2]

Support for that is being developed for dpkg:

 http://git.debian.org/?p=dpkg/dpkg.git;a=commit;h=45e67aefbea3432e5eedb4452427278684e11286

Although dak may or may not support it (yet), it does not hurt to make
svn-buildpackage support it now.  It may help those experimenting with
the new feature.

Max





Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <info@jhr-online.de>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #37 received at 388567@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <info@jhr-online.de>
To: 388567@bugs.debian.org
Subject: Re: Bug#388567: what kind of bz2 support?
Date: Sat, 12 Apr 2008 11:25:44 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct 24, 2007 at 07:37:45AM +0200, Max Kellermann wrote:
> On 2007/10/24 03:49, Eddy Petri??or <eddy.petrisor@gmail.com> wrote:
> > I have checked the current lenny and sid archive and I haven't found
> > any .orig.tar.bz2 source packages in the official archive. So I am
> > asking, does dpkg even support this? [1]
> >
> > Does dpkg supports this, but dak doesn't?[2]
> 
> Support for that is being developed for dpkg:
> 
>  http://git.debian.org/?p=dpkg/dpkg.git;a=commit;h=45e67aefbea3432e5eedb4452427278684e11286
> 
> Although dak may or may not support it (yet), it does not hurt to make
> svn-buildpackage support it now.  It may help those experimenting with
> the new feature.

I actually don't know if I'm right but I guess this bug should be
examined again since dpkg (in unstable) now supports bzip2. [1]

Cheers,
Hauke

[1] http://lists.debian.org/debian-devel-announce/2008/04/msg00004.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#388567; Package svn-buildpackage. Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #42 received at 388567@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 388567@bugs.debian.org
Subject: Any chance of a support for lzma too ?
Date: Thu, 29 May 2008 22:10:48 +0200
  Hello,

  As far as I know, lzma is now also supported by dpkg and the like, so
what about a support for lzma orig tarballs too ??

  Cheers,

	Vincent

-- 
Vincent Fourmond, Debian Developer
http://vince-debian.blogspot.com/

find(1):

 A `%' at the end of the format argument causes undefined behaviour
 since there is no following character. In some locales, it may
 hide your door keys, while in others it may remove the final page
 from the novel you are reading.





Changed Bug title to `[all] implement support for Debian source package format 3.0 (incl. bz2 and lzma compression)' from `please support bzip2 compressed orig tarfiles'. Request was from Jan Hauke Rahm <info@jhr-online.de> to control@bugs.debian.org. (Wed, 20 May 2009 20:21:06 GMT) Full text and rfc822 format available.

Tags removed: moreinfo Request was from Jan Hauke Rahm <info@jhr-online.de> to control@bugs.debian.org. (Wed, 20 May 2009 20:21:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Thu, 14 Jan 2010 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Thu, 14 Jan 2010 17:42:04 GMT) Full text and rfc822 format available.

Message #51 received at 388567@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 388567@bugs.debian.org
Subject: Support for new source formats...
Date: Thu, 14 Jan 2010 18:41:00 +0100
[Message part 1 (text/plain, inline)]
tag 388567 + patch
thanks

Hello,

I have implemented support of the new source formats in
svn-inject/svn-buildpackage.

For svn-inject, I believe it's complete.

For svn-buildpackage it has limitations: multiple source tarballs only
work properly when they are stored in $origDir, you can't download them
since you don't know that they exist and the name that they have.

I haven't touched svn-upgrade, I don't use it.

I would be glad to see a new release with this patch merged so that
less people complain that svn-buildpackage doesn't support the new format
yet. :-)

Cheers,
-- 
Raphaël Hertzog
[patch (text/plain, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 14 Jan 2010 17:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 17 Feb 2010 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 17 Feb 2010 10:33:02 GMT) Full text and rfc822 format available.

Message #58 received at 388567@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 388567@bugs.debian.org
Subject: svn-buildpackage: please apply Raphael's patch !
Date: Wed, 17 Feb 2010 11:30:37 +0100
  Hello,

  Would you please be so kind as to apply the patch provided by
Raphael Hertzog to enable support for format 3.0 ? It works perfectly
well for me. Of course, I could stay with my private version, but I
would lose all the benefits of working with a team...

  Many thanks,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 17 Feb 2010 10:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 17 Feb 2010 10:39:17 GMT) Full text and rfc822 format available.

Message #63 received at 388567@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 388567@bugs.debian.org
Subject: Re: Bug#388567: svn-buildpackage: please apply Raphael's patch !
Date: Wed, 17 Feb 2010 11:38:49 +0100
On Wed, 17 Feb 2010 11:30:37 +0100, Vincent Fourmond wrote:

>   Would you please be so kind as to apply the patch provided by
> Raphael Hertzog to enable support for format 3.0 ? 

+1

> It works perfectly
> well for me. 

Good to know :)

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    Dammit Jim, I'm an actor, not a doctor. 




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 17 Feb 2010 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 17 Feb 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #68 received at 388567@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: Vincent Fourmond <fourmond@debian.org>, 388567@bugs.debian.org
Subject: Re: Bug#388567: svn-buildpackage: please apply Raphael's patch !
Date: Wed, 17 Feb 2010 12:37:31 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Feb 17, 2010 at 11:30:37AM +0100, Vincent Fourmond wrote:
>   Would you please be so kind as to apply the patch provided by
> Raphael Hertzog to enable support for format 3.0 ? It works perfectly
> well for me. Of course, I could stay with my private version, but I
> would lose all the benefits of working with a team...

FWIW, I'm working with the patch locally and I'm testing it. We still
need support for svn-upgrade, though.

Hauke
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 17 Feb 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 17 Feb 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #73 received at 388567@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Jan Hauke Rahm <jhr@debian.org>
Cc: 388567@bugs.debian.org
Subject: Re: Bug#388567: svn-buildpackage: please apply Raphael's patch !
Date: Wed, 17 Feb 2010 12:42:16 +0100
On Wed, Feb 17, 2010 at 12:37 PM, Jan Hauke Rahm <jhr@debian.org> wrote:
> On Wed, Feb 17, 2010 at 11:30:37AM +0100, Vincent Fourmond wrote:
>>   Would you please be so kind as to apply the patch provided by
>> Raphael Hertzog to enable support for format 3.0 ? It works perfectly
>> well for me. Of course, I could stay with my private version, but I
>> would lose all the benefits of working with a team...
>
> FWIW, I'm working with the patch locally and I'm testing it.

  Great !

> We still need support for svn-upgrade, though.

  Could svn-buildpackage be released with this patch but without
support for svn-upgrade, as a first step ?

  Cheers,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 17 Feb 2010 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 17 Feb 2010 11:48:05 GMT) Full text and rfc822 format available.

Message #78 received at 388567@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 388567@bugs.debian.org
Subject: Re: Bug#388567: svn-buildpackage: please apply Raphael's patch !
Date: Wed, 17 Feb 2010 12:44:58 +0100
On Wed, 17 Feb 2010 12:37:31 +0100, Jan Hauke Rahm wrote:

> >   Would you please be so kind as to apply the patch provided by
> > Raphael Hertzog to enable support for format 3.0 ? It works perfectly
> > well for me. Of course, I could stay with my private version, but I
> > would lose all the benefits of working with a team...
> FWIW, I'm working with the patch locally and I'm testing it. 

Thanks!

> We still
> need support for svn-upgrade, though.

The existing svn-upgrade works fine for 3.0/quilt packages, as long as
they only have one .orig.tar.gz.

Of course support in -bp/-inject/-upgrade for multi-tarball packages
is highly desirable but getting partial 3.0/quilt support soon would
be helpful nevertheless.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    No more blah, blah, blah!  -- Kirk, "Miri", stardate 2713.6 




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Sat, 27 Mar 2010 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Sat, 27 Mar 2010 15:33:02 GMT) Full text and rfc822 format available.

Message #83 received at 388567@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 388567@bugs.debian.org
Subject: [patch] support for .orig.tar.{lzma,xz}
Date: Sat, 27 Mar 2010 16:30:56 +0100
[Message part 1 (text/plain, inline)]
Hi,

the attached patch extends the source format 3.0 handling by adding
support for .lzma and .xz compressed tarballs to svn-inject and
svn-buildpackage.
Patch is vs. SVN r15858 (where the original patch from Raphael adding
3.0 and bz2 support was already applied).


Andreas
[svn-bp-r15858-add-lzma-xz-tarball-support.patch (text/x-patch, inline)]
Index: svn-buildpackage
===================================================================
--- svn-buildpackage	(revision 15861)
+++ svn-buildpackage	(working copy)
@@ -172,6 +172,13 @@
    "svn-noautodch"         => \$opt_noautodch,
 );
 
+my %tar_compress_flags = (
+    "gz" => "--gzip",
+    "bz2" => "--bzip2",
+    "lzma" => "--lzma",
+    "xz" => "--xz",
+);
+
 my $tagVersion;
 my $upVersion;
 my $upRNumber;
@@ -362,36 +369,30 @@
 
 mkdir $$c{"buildArea"} if (! -d $$c{"buildArea"});
 
-my $orig = $package."_".$upVersion.".orig.tar.gz";
-my $bzorig = $package."_".$upVersion.".orig.tar.bz2";
+# See #560391 for why we can't use dpkg-source --print-format .
+my $is_format_3_0;
+$is_format_3_0 = `grep \"3.0\" debian/source/format`
+   if (-f "debian/source/format");
 
-if ($$c{"origDir"}) {
-   my $bzorigExpect = $$c{"origDir"}."/$bzorig";
-   # See #560391 for why we can't use dpkg-source --print-format .
-   my $check;
-   $check = `grep \"3.0\" debian/source/format`
-     if (-f "debian/source/format");
-   if ((-f $bzorigExpect) and (defined $check))
-   {
-     $origExpect = $$c{"origDir"}."/$bzorig"; # just for the messages
-     $orig = $bzorig;
+my @origExtList = (".gz");
+push @origExtList, (".bz2", ".lzma", ".xz") if $is_format_3_0;
+my $origTar = $package."_".$upVersion.".orig.tar";
+my $orig = $origTar.@origExtList[0];  # fallback
+$origExpect = ($$c{"origDir"} || "../tarballs") . "/$orig";  # fallback
+my $origDir = $$c{"origDir"} || "$startdir/../tarballs";
+my $ext;
+foreach $ext (@origExtList) {
+   if (-f "$origDir/$origTar$ext") {
+      $orig = "$origTar$ext";
+      $origExpect = "$origDir/$orig";  # just for the messages
+      last;
    }
-   else
-   {
-     $origExpect = $$c{"origDir"}."/$orig"; # just for the messages
-   }
-   if (-f $origExpect) {
-      $origfile = long_path($origExpect); # for the actual operation
-   }
-} else {
-    $origExpect = "../tarballs/$orig";
-    if(-f ($startdir . "/../tarballs/$orig")) {
-        $origfile = long_path($startdir . "/../tarballs/$orig");
-    }
-};
-my $origDir = $$c{"origDir"} || "$startdir/../tarballs";
-my %otherOrigFiles = map { /\.orig-([\w-]+)\.tar\.(gz|bz2|lzma)$/ ? ($1 => $_) : () } grep {
-    /(?:^|\/)\Q${package}_${upVersion}\E\.orig-[\w-]+\.tar\.(gz|bz2|lzma)$/
+}
+if (-f $origExpect) {
+   $origfile = long_path($origExpect);  # for the actual operation
+}
+my %otherOrigFiles = map { /\.orig-([\w-]+)\.tar\.(gz|bz2|lzma|xz)$/ ? ($1 => $_) : () } grep {
+    /(?:^|\/)\Q${package}_${upVersion}\E\.orig-[\w-]+\.tar\.(gz|bz2|lzma|xz)$/
 } <$origDir/*>;
 
 if(!defined($origfile)) {
@@ -574,8 +575,7 @@
       print _g("Reusing old build directory\n") if $opt_verbose;
    }
    else {
-      my $compress = "--gzip";
-      $compress = "--bzip2" if ($orig =~ /\.tar\.bz2/);
+      my $compress = $tar_compress_flags{($orig=~/\.tar\.([^.]*)$/)[0]};
       withecho "tar", "--no-same-owner", "--no-same-permissions", "--extract", $compress, "--file", $origfile, "--directory", "$ba/tmp-$mod";
       my @entries = (<$ba/tmp-$mod/*>);
       if (@entries == 1) {
Index: svn-inject
===================================================================
--- svn-inject	(revision 15861)
+++ svn-inject	(working copy)
@@ -144,6 +144,13 @@
     "3.0 (native)" => 1,
 );
 
+my %tar_compress_flags = (
+    "gz" => "--gzip",
+    "bz2" => "--bzip2",
+    "lzma" => "--lzma",
+    "xz" => "--xz",
+);
+
 #shamelessly copied and slightly modified from svn-bp
 my @CONFARGS;
 for my $file ($ENV{"HOME"}."/.svn-buildpackage.conf") {
@@ -306,17 +313,17 @@
    $dscFormat = $1 if (/^Format: (.+)\n/);
    $package=$1 if(/^Source: (.+)\n/);
    $debVersion=$1 if(/^Version: (.+)\n/ && !$debVersion);
-   if(/^(\s\w+\s\d+\s+)((.*)_(.*).orig.tar.(gz|bz2))/)
+   if(/^(\s\w+\s\d+\s+)((.*)_(.*).orig.tar.(gz|bzip2|lzma|xz))/)
    {
       $dscOrig="$fromDir/$2";
       $upsVersion=$4;
    }
-   if (/^(\s\w+\s\d+\s+)((.*)_(.*).orig(?:-([\w-]+)).tar.(gz|bz2))/)
+   if (/^(\s\w+\s\d+\s+)((.*)_(.*).orig(?:-([\w-]+)).tar.(gz|bzip2|lzma|xz))/)
    {
        $dscOtherOrig{$5}="$fromDir/$2";
    }
-   $dscDebianTar = "$fromDir/$1" if(/^\s\w+\s\d+\s(.+\.debian\.tar\.(gz|bz2))\n/);
-   $dscDiff = "$fromDir/$1" if(/^\s\w+\s\d+\s(.+\.diff.(gz|bz2))\n/);
+   $dscDebianTar = "$fromDir/$1" if(/^\s\w+\s\d+\s(.+\.debian\.tar\.(gz|bzip2|lzma|xz))\n/);
+   $dscDiff = "$fromDir/$1" if(/^\s\w+\s\d+\s(.+\.diff.(gz|bzip2|lzma|xz))\n/);
 }
 close($dsc);
 
@@ -399,7 +406,8 @@
    chdir "$subupsTags";
 
    # extract the whole package and use its Debian version as upstream version
-   withecho "tar", $opt_tarquiet, ($dscOrig=~/bz2$/i ? "-j" : "-z"), "-x", "-f", $dscOrig;
+   my $compress = $tar_compress_flags{($dscOrig=~/\.tar\.([^.]*)$/)[0]};
+   withecho "tar", $opt_tarquiet, $compress, "-x", "-f", $dscOrig;
    oldSvnDirsCheck ".";
 
    my @filesInside=(<*>);
@@ -453,7 +461,7 @@
   withecho "mkdir", "-p", $dir;
   chdir $dir;
   withecho "dpkg-source -x $opt_dsc";
-  system "rm -f *.gz *.bz2";
+  system "rm -f *.gz *.bz2 *.lzma *.xz";
   withecho "mv * $base";
 }
 chdir $tempdir;
@@ -506,7 +514,7 @@
    } else {
        withecho "dpkg-source -x $opt_dsc";
    }
-   system "rm -f *.gz *.bz2";
+   system "rm -f *.gz *.bz2 *.lzma *.xz";
    # now use svn_load_dirs to upgrade the trunk fork to Debian versions.
    # For mergeWithUpstream mode, drop all unchanged files
    my $dirname=<*>;

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Sun, 28 Mar 2010 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Sun, 28 Mar 2010 12:33:03 GMT) Full text and rfc822 format available.

Message #88 received at 388567@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>, 388567@bugs.debian.org
Subject: Re: Bug#388567: [patch] support for .orig.tar.{lzma,xz}
Date: Sun, 28 Mar 2010 14:33:19 +0200
[Message part 1 (text/plain, inline)]
On Sat, Mar 27, 2010 at 04:30:56PM +0100, Andreas Beckmann wrote:
> the attached patch extends the source format 3.0 handling by adding
> support for .lzma and .xz compressed tarballs to svn-inject and
> svn-buildpackage.
> Patch is vs. SVN r15858 (where the original patch from Raphael adding
> 3.0 and bz2 support was already applied).

While there might be use for it in some cases, there is none in Debian
yet. dak (the main archive software) only accepts gz and bz2 at the
moment and I don't see much benefit in adding support for more in svn-bp
now. There are bigger problems to solve and actually this could even
lead to problems.

Hauke
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 31 Mar 2010 19:48:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Tue, 13 Apr 2010 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 13 Apr 2010 11:24:03 GMT) Full text and rfc822 format available.

Message #95 received at 388567@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jan Hauke Rahm <jhr@debian.org>
Cc: Andreas Beckmann <debian@abeckmann.de>, 388567@bugs.debian.org
Subject: Re: Bug#388567: [patch] support for .orig.tar.{lzma,xz}
Date: Tue, 13 Apr 2010 13:12:40 +0200
On Sun, 28 Mar 2010, Jan Hauke Rahm wrote:
> On Sat, Mar 27, 2010 at 04:30:56PM +0100, Andreas Beckmann wrote:
> > the attached patch extends the source format 3.0 handling by adding
> > support for .lzma and .xz compressed tarballs to svn-inject and
> > svn-buildpackage.
> > Patch is vs. SVN r15858 (where the original patch from Raphael adding
> > 3.0 and bz2 support was already applied).
> 
> While there might be use for it in some cases, there is none in Debian
> yet. dak (the main archive software) only accepts gz and bz2 at the
> moment and I don't see much benefit in adding support for more in svn-bp
> now. There are bigger problems to solve and actually this could even
> lead to problems.

Well, "xz" might be allowed by dak at some point (maybe even in squeeze+1)
so it's good to prepare for it IMO.

I don't really see what kind of problems you expect. And Debian tools can
also be used by derivatives taking different decisions than ftpmasters
regarding the set of compression scheme allowed.

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#388567; Package svn-buildpackage. (Tue, 13 Apr 2010 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 13 Apr 2010 11:36:03 GMT) Full text and rfc822 format available.

Message #100 received at 388567@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Andreas Beckmann <debian@abeckmann.de>, 388567@bugs.debian.org
Subject: Re: Bug#388567: [patch] support for .orig.tar.{lzma,xz}
Date: Tue, 13 Apr 2010 13:28:30 +0200
[Message part 1 (text/plain, inline)]
On Tue, Apr 13, 2010 at 01:12:40PM +0200, Raphael Hertzog wrote:
> On Sun, 28 Mar 2010, Jan Hauke Rahm wrote:
> > On Sat, Mar 27, 2010 at 04:30:56PM +0100, Andreas Beckmann wrote:
> > > the attached patch extends the source format 3.0 handling by adding
> > > support for .lzma and .xz compressed tarballs to svn-inject and
> > > svn-buildpackage.
> > > Patch is vs. SVN r15858 (where the original patch from Raphael adding
> > > 3.0 and bz2 support was already applied).
> > 
> > While there might be use for it in some cases, there is none in Debian
> > yet. dak (the main archive software) only accepts gz and bz2 at the
> > moment and I don't see much benefit in adding support for more in svn-bp
> > now. There are bigger problems to solve and actually this could even
> > lead to problems.
> 
> Well, "xz" might be allowed by dak at some point (maybe even in squeeze+1)
> so it's good to prepare for it IMO.
> 
> I don't really see what kind of problems you expect. And Debian tools can
> also be used by derivatives taking different decisions than ftpmasters
> regarding the set of compression scheme allowed.

I was probably thinking of people using lzma with svn-inject and svn-bp
an so on to see their upload rejected after all. But I don't really
object to implementing it. I'm just saying that we should get the
features working that are actually implemented in dpkg and dak but not
working with svn-bp yet... :)

Hauke
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jan Hauke Rahm <jhr@debian.org>:
You have taken responsibility. (Wed, 14 Apr 2010 22:00:05 GMT) Full text and rfc822 format available.

Notification sent to Max Kellermann <max@duempel.org>:
Bug acknowledged by developer. (Wed, 14 Apr 2010 22:00:06 GMT) Full text and rfc822 format available.

Message #105 received at 388567-close@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: 388567-close@bugs.debian.org
Subject: Bug#388567: fixed in svn-buildpackage 0.8.0
Date: Wed, 14 Apr 2010 21:57:52 +0000
Source: svn-buildpackage
Source-Version: 0.8.0

We believe that the bug you reported is fixed in the latest version of
svn-buildpackage, which is due to be installed in the Debian FTP archive:

svn-buildpackage_0.8.0.dsc
  to main/s/svn-buildpackage/svn-buildpackage_0.8.0.dsc
svn-buildpackage_0.8.0.tar.gz
  to main/s/svn-buildpackage/svn-buildpackage_0.8.0.tar.gz
svn-buildpackage_0.8.0_all.deb
  to main/s/svn-buildpackage/svn-buildpackage_0.8.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Hauke Rahm <jhr@debian.org> (supplier of updated svn-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Apr 2010 14:36:46 +0200
Source: svn-buildpackage
Binary: svn-buildpackage
Architecture: source all
Version: 0.8.0
Distribution: unstable
Urgency: low
Maintainer: svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>
Changed-By: Jan Hauke Rahm <jhr@debian.org>
Description: 
 svn-buildpackage - helper programs to maintain Debian packages with Subversion
Closes: 388567 535177 549605 550050 569615 571789 573559
Changes: 
 svn-buildpackage (0.8.0) unstable; urgency=low
 .
   [ Neil Williams ]
   * [l10n] Add French program messages translation. (Closes: #569615)
   * Add revision number to environment for packages that want to access
     it easily.
   * Fix interpolation of all output strings. (Closes: #573559)
   * [doc]: Add pdebuild example alias to HOWTO (Closes: #550050)
   * Output origDir variable, if defined but not found. (Closes: #571789)
   * Add arbitrary options to svn-do and make output more verbose.
     (Closes: #549605)
 .
   [ Jan Hauke Rahm ]
   * Implement support for Debian source package format 3.0 (incl. bz2 and lzma
     compression) at least for svn-buildpackage and svn-inject. Thanks to
     Raphael Hertzog <hertzog@debian.org> (Closes: #388567)
   * Remove Eddy Petrișor from uploaders list. Thanks a lot for
     your contributions!
   * Set alioth mailing list as maintainer
   * Always (--svn-tag and --svn-only-tag) tag BASE instead of HEAD but trigger
     a fat warning about it if BASE differs from HEAD (Closes: #535177)
Checksums-Sha1: 
 d1b6c6eadf30cbdb8d3a9c6811bae81ba726b656 1187 svn-buildpackage_0.8.0.dsc
 ded07a19d36d82e3969d810a6648730d8917963d 137887 svn-buildpackage_0.8.0.tar.gz
 374b4c82a002177186a5e0232aa8f80cf69a1b54 156602 svn-buildpackage_0.8.0_all.deb
Checksums-Sha256: 
 f30942574a4f15e383b4ecd70ecf2326d0b046363b25459c63451c016788bfe5 1187 svn-buildpackage_0.8.0.dsc
 8b763651cf29892b5e7f6617783ffd2d388934d4a12d809348bf0bfb39aad514 137887 svn-buildpackage_0.8.0.tar.gz
 bcf8968232e36a543f2c98f9ec449a9867536e7550cb463134252abe84c68e6b 156602 svn-buildpackage_0.8.0_all.deb
Files: 
 b52458fc18b0dd66dfb71d671211359a 1187 vcs extra svn-buildpackage_0.8.0.dsc
 aca4c382ec50e0f386e778909f7c4c68 137887 vcs extra svn-buildpackage_0.8.0.tar.gz
 40c64b2f0f8d37e3151f2c292164cb34 156602 vcs extra svn-buildpackage_0.8.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvGJfcACgkQiAEJSii8s+PzswCePc0h3uGTYlt5jLS+wQ0aGlwO
7PIAoM201aEkStDa6Ydim7E8wI/lTROM
=M++4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 May 2010 07:38:17 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 24 Aug 2011 06:39:05 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions svn-buildpackage/0.8.0 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Aug 2011 06:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>:
Bug#388567; Package svn-buildpackage. (Wed, 24 Aug 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>. (Wed, 24 Aug 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #116 received at 388567@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Jan Hauke Rahm <jhr@debian.org>
Cc: Andreas Beckmann <debian@abeckmann.de>, 388567@bugs.debian.org
Subject: Re: Bug#388567: [patch] support for .orig.tar.{lzma,xz}
Date: Wed, 24 Aug 2011 15:53:54 +0900
found 388567 0.8.3
thanks

Le Sun, Mar 28, 2010 at 02:33:19PM +0200, Jan Hauke Rahm a écrit :
> On Sat, Mar 27, 2010 at 04:30:56PM +0100, Andreas Beckmann wrote:
> > the attached patch extends the source format 3.0 handling by adding
> > support for .lzma and .xz compressed tarballs to svn-inject and
> > svn-buildpackage.
> > Patch is vs. SVN r15858 (where the original patch from Raphael adding
> > 3.0 and bz2 support was already applied).
> 
> While there might be use for it in some cases, there is none in Debian
> yet. dak (the main archive software) only accepts gz and bz2 at the
> moment.

Dear Jan,

please reconsider Andreases patch now that our archive accepts packages
compressed with xz.

As a minor comment, I would like to mention that since tar can guess the
compression method from the name of the archive file to extract, the support
for xz in that part of svn-buildpackage's source code can be achieved by
removing the compression option.

-      my $compress = "--gzip";
-      $compress = "--bzip2" if ($orig =~ /\.tar\.bz2/);
-      withecho "tar", "--no-same-owner", "--no-same-permissions", "--extract", $compress, "--file", $origfile, "--directory", "$ba/tmp-$mod";
+      withecho "tar", "--no-same-owner", "--no-same-permissions", "--extract", "--file", $origfile, "--directory", "$ba/tmp-$mod";

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Bug Marked as found in versions svn-buildpackage/0.8.3. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 24 Aug 2011 06:57:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Tue, 18 Oct 2011 07:45:09 GMT) Full text and rfc822 format available.

Reply sent to Jan Hauke Rahm <jhr@debian.org>:
You have taken responsibility. (Wed, 19 Oct 2011 16:21:07 GMT) Full text and rfc822 format available.

Notification sent to Max Kellermann <max@duempel.org>:
Bug acknowledged by developer. (Wed, 19 Oct 2011 16:21:07 GMT) Full text and rfc822 format available.

Message #125 received at 388567-close@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: 388567-close@bugs.debian.org
Subject: Bug#388567: fixed in svn-buildpackage 0.8.4
Date: Wed, 19 Oct 2011 16:17:36 +0000
Source: svn-buildpackage
Source-Version: 0.8.4

We believe that the bug you reported is fixed in the latest version of
svn-buildpackage, which is due to be installed in the Debian FTP archive:

svn-buildpackage_0.8.4.dsc
  to main/s/svn-buildpackage/svn-buildpackage_0.8.4.dsc
svn-buildpackage_0.8.4.tar.gz
  to main/s/svn-buildpackage/svn-buildpackage_0.8.4.tar.gz
svn-buildpackage_0.8.4_all.deb
  to main/s/svn-buildpackage/svn-buildpackage_0.8.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388567@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Hauke Rahm <jhr@debian.org> (supplier of updated svn-buildpackage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 19 Oct 2011 17:57:27 +0200
Source: svn-buildpackage
Binary: svn-buildpackage
Architecture: source all
Version: 0.8.4
Distribution: unstable
Urgency: low
Maintainer: svn-buildpackage maintainers <svn-bp-devel@lists.alioth.debian.org>
Changed-By: Jan Hauke Rahm <jhr@debian.org>
Description: 
 svn-buildpackage - helper programs to maintain Debian packages with Subversion
Closes: 388567 592339 597192 606912 617964 625479 637900 638909
Changes: 
 svn-buildpackage (0.8.4) unstable; urgency=low
 .
   [ Neil Williams ]
   * [INTL:pt] Updated Portuguese translation for manpage
     (Closes: #606912)
   * [INTL:da] Danish translation of svn-buildpackage (Closes: #625479)
 .
   [ Jan Hauke Rahm ]
   * Implement support for xz tarballs. Thanks Sjoerd Simons <sjoerd@luon.net>
     (Closes: #637900, #388567)
   * Don't repack bzip2 or xz tarballs. Thanks Robert Luberda
     <robert@debian.org> (Closes: #617964)
   * Search for bz2 and xz tarballs in ../tarballs, too (when origDir is not
     set) (Closes: #592339)
   * Don't translate commit message when retagging (Closes: #638909)
   * Remove ancient Conflicts/Replaces svn-devscripts; it's gone since 2005
   * Allow file locks when building a package (Closes: 597192)
   * Apapt recent alioth changes regarding VCS location
   * Add support for xz in svn-inject, too
   * Fix recognition of xz tarballs in svn-upgrade
Checksums-Sha1: 
 3510e1dd909551da98bfffc595a34b12fce15432 1873 svn-buildpackage_0.8.4.dsc
 6e2121a9edcccec0303fee421ea1b15aa8506e5b 241402 svn-buildpackage_0.8.4.tar.gz
 1b874a00b1ff455db7f1aab232aefd33d1aa01e8 248856 svn-buildpackage_0.8.4_all.deb
Checksums-Sha256: 
 b28b3df91bca28fed09974fb40ffe2ffaa4691ef1f31d14e6f465870a38d4b9c 1873 svn-buildpackage_0.8.4.dsc
 780d001bdd1a30297660569e4f0a39715a5e87d40232a9bd5ec6d85382d7b16d 241402 svn-buildpackage_0.8.4.tar.gz
 3dae13dd5dfd144ee9f1495d07c6eb1be7ca60ecc6041eb94284621bba194d7e 248856 svn-buildpackage_0.8.4_all.deb
Files: 
 f7683f0ebd7680618820bddf2db6e2ba 1873 vcs extra svn-buildpackage_0.8.4.dsc
 2ea2f9b105a2edcef27eb4fb84950662 241402 vcs extra svn-buildpackage_0.8.4.tar.gz
 6a06b6cc3ff81ea2e7a7053fb5a11dc1 248856 vcs extra svn-buildpackage_0.8.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOnvRBAAoJEOCD7BUSMcRlBbUQAIFbmMrtHJQfyuZJ2PjH/c7l
ZxmIwuXXaDYzwXDl2vFtOiZOACK+57JsBU7AaFdmJvhMpSlJ0V6VuJxg4c718l/c
PFn0vEMLZv6GroAGJyYo+4ddZEbs56VFKpKf5tXk1nY1xEDaoHF886k/KEGJV8Bc
c15WyLlE9XknEhiCBB8Xt36yHjZJ6NWlrnN5czVmHpR+jrGE47EQ+6if+14gfSLR
lEePy4Z4es1x3MRMV8t/7jL58S1xcRnOlzCGXBT/ERU9yvTok4z/MjaUggSUdYJ2
I2AzAnaa4kSbmz1kZSE5Ny9MPiDXHTI0nwQjWDbGplDAQj6BinyGIMwuNVeqr3Be
WreJRgaAh9EH9a6NIgf1qES17+psbkzNuoEMSPC7NEVUyhoQsQtNeThixQJcvA6A
PwDXpRElzlVRc/WIccCtY9hoeEpRV9OmZah4vfZ8HW9vZRX1Hytl5rbjyg7ulr0X
8dmlDRmtYyCG3+ShPbw5viu9UE6lYh7fbGj4SK74v6C3igN+o9FJAzyKZYM1jlQG
figJmiOAVtWdl4439Y/xEv+MQRwWM444BwRynB8xj3mtnvmCWvGSNRgdDn95lDNV
dGOD/HP4uPFKZbY04cEY0rzACWylRUHZ/vyCyK09eniAAI5Bpy61Ep9AwIYtWj48
ae4kmiYjPnNTBbImnTNt
=aaf1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Nov 2011 07:35:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:11:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.